Bug 70612 - can't uninstall ypserv
Summary: can't uninstall ypserv
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67217
TreeView+ depends on / blocked
 
Reported: 2002-08-02 20:55 UTC by Jackie Meese
Modified: 2015-01-07 23:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 15:40:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jackie Meese 2002-08-02 20:55:56 UTC
Description of Problem:
even with no other yp packages installed, get error when uninstalled ypserv

Version-Release number of selected component (if applicable):


How Reproducible:
Every Time

Steps to Reproduce:
1.#rpm -e yp-tools ypbind
2.#rpm -e ypserv

	
Actual Results:
error reading information on service ypserv: No such file or directory
error: execution of %trigger scriptlet from ypserv-2.3-2 failed, exit status 1

Expected Results:
removal of package

Additional Information:
I reinstalled ypserv from the cd just to make sure
#rpm -ivh --force ypserv-2.3-2.i386.rpm
#rpm -e ypserv

same results

Comment 1 Alexander Larsson 2002-08-08 15:16:18 UTC
Must be one of these triggers:
%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%triggerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

but none of them should be executed when the ypser 2.3 package is removed.

jbj, i believe you added the triggers, any idea what's up here?


Comment 2 Jeff Johnson 2002-08-08 15:31:04 UTC
Boy there's a blast from the past.

On my 1st day at Red Hat (5.1, 5/98), I was asked
to add triggers to work around some busted
packages in Red Hat 5.0. This crap ain't been
needed for quite awhile AFAIK.

I'd suggest looking carefully at whether
these triggers are needed anymore, and remove
if not.

And add --notriggers to erase the old packages.

Comment 3 Alexander Larsson 2002-08-08 15:40:45 UTC
They don't seem to be needed anymore. So i can just remove them.



Comment 4 Alexander Larsson 2002-08-08 15:45:07 UTC
Fixed in 2.3-3


Note You need to log in before you can comment on or make changes to this bug.